classification
Title: asynchat should call "handle_close"
Type: Stage:
Components: None Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: josiahcarlson Nosy List: giampaolo.rodola, josiahcarlson
Priority: normal Keywords:

Created on 2007-06-20 20:19 by giampaolo.rodola, last changed 2008-07-03 18:04 by josiahcarlson. This issue is now closed.

Messages (3)
msg32370 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2007-06-20 20:19
When 'close_when_done' is used and the producer is consumed 'close' method is called.
IMO a better delegation design would be calling handle_close instead, just like recv already does.
msg32371 - (view) Author: Josiah Carlson (josiahcarlson) * (Python triager) Date: 2007-06-23 14:07
Indeed, asynchat.async_chat.refill_buffer() should call handle_close() rather than close().

In the patch I recently provided, it calls handle_close() in the equivalent method.
msg69218 - (view) Author: Josiah Carlson (josiahcarlson) * (Python triager) Date: 2008-07-03 18:04
Fixed in trunk, will be fixed in 3.0 this weekend.
History
Date User Action Args
2008-07-03 18:04:30josiahcarlsonsetstatus: open -> closed
resolution: fixed
messages: + msg69218
2007-06-20 20:19:28giampaolo.rodolacreate